Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032091
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-02-02 13:322016-03-17 10:56
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisionfc90763f8bed
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032091: The Order/Invoices grid in Add Details must always sort by selected records first

DescriptionThe Order/Invoices grid in Add Details must ensure that the selected records are always displayed first. This is the way to ensure that the selection is never lost as it always be displayed in the first page.

The same applies for all the P&E grids within the application.
Steps To ReproduceUsing an environment where more than 100 records can be displayed
1. Access [Payment In] window and create header record
2. Run "Add details" process and select the first record. Change the sorting criteria making the selected record leave the first page, i.e., the selected record should appear after position 100th.
3. Notice that the grids starts to not filter/sorting properly. The following error is displayed in the console: Uncaught BigDecimal(): Not a number: u,n,d,e,f,i,n,e,d
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00319893.0PR16Q2 closedcaristu Wrong behavior in order/invoices grid in Add Payment process definition when having >100 records selected 
related to defect 0029560 closedcaristu The addDetails popup does not respond after several seachs on grid with big amout of data. 
related to defect 0032113 newTriage Finance Review application pick and edit windows to ensure that they always sorting by selected records first 
related to defect 0032145 closedcaristu API Change required for AddPaymentOrderInvoicesTransformer 
related to defect 0032193 closedcaristu Selection is not working properly in P&E grids having filter on change option set to N 

-  Notes
(0083903)
hgbot (developer)
2016-02-03 19:31

Repository: erp/devel/pi
Changeset: fc90763f8bed6edd34f518bdf95165ca12ffc429
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Feb 03 19:29:23 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fc90763f8bed6edd34f518bdf95165ca12ffc429 [^]

fixes issue 32091: The Order/Invoices grid now sorts by selected records first

Now the AddPaymentOrderInvoicesTransformer places first the selected record criteria for ordering, put it just before the ordering criteria selected by the user in the grid.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/AddPaymentOrderInvoicesTransformer.java
---
(0083943)
alostale (developer)
2016-02-05 08:33

reopened, see review: https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0083993)
hgbot (developer)
2016-02-08 09:12

Repository: erp/devel/pi
Changeset: 5f989d9923384cfea1548782ed85aff8dae3c71c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Feb 08 09:06:40 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5f989d9923384cfea1548782ed85aff8dae3c71c [^]

related to issue 32091: code review improvements

After sorting the grid without having any filter applied, the selection was not being kept on top. To solve this, now we check if there is a criteria present in the request and also if there are selected records. In that case, a new criteria is included in the request with the ids of the selected records.

Besides, two methods are deleted from AddPaymentOrderInvoicesTransformer as they are no longer needed. And a new check is added when retrieving the selected records in the backend, in order to avoid a possible JSONException.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/AddPaymentOrderInvoicesTransformer.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ReadOnlyDataSourceService.java
---
(0083995)
hgbot (developer)
2016-02-08 09:37

Repository: erp/devel/pi
Changeset: d55a1773427b7084ed5c561f786b6859a2a72295
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Feb 08 09:33:15 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d55a1773427b7084ed5c561f786b6859a2a72295 [^]

related to issue 32091: Added missing comparator

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0084002)
hgbot (developer)
2016-02-08 13:12

Repository: erp/devel/pi
Changeset: ee2964a9b5659222eb75ef45138cb331812da2aa
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Feb 08 13:04:07 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ee2964a9b5659222eb75ef45138cb331812da2aa [^]

related to issue 32091: Covered case when window is opened with a a pre-filter

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0084137)
alostale (developer)
2016-02-12 08:41

code reviewed and tested
(0085102)
hudsonbot (developer)
2016-03-17 10:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085111)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085112)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085113)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-02 13:32 caristu New Issue
2016-02-02 13:32 caristu Assigned To => caristu
2016-02-02 13:32 caristu Modules => Core
2016-02-02 13:32 caristu Triggers an Emergency Pack => No
2016-02-02 13:33 caristu Relationship added related to 0031989
2016-02-02 13:33 caristu Relationship added related to 0029560
2016-02-02 13:33 caristu Target Version => 3.0PR16Q2
2016-02-02 13:33 caristu Status new => scheduled
2016-02-03 19:31 hgbot Checkin
2016-02-03 19:31 hgbot Note Added: 0083903
2016-02-03 19:31 hgbot Status scheduled => resolved
2016-02-03 19:31 hgbot Resolution open => fixed
2016-02-03 19:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fc90763f8bed6edd34f518bdf95165ca12ffc429 [^]
2016-02-03 19:33 caristu Issue Monitored: alostale
2016-02-03 19:33 caristu Review Assigned To => alostale
2016-02-03 19:56 caristu Relationship added related to 0032113
2016-02-05 08:33 alostale Note Added: 0083943
2016-02-05 08:33 alostale Status resolved => new
2016-02-05 08:33 alostale Resolution fixed => open
2016-02-05 12:25 caristu Status new => scheduled
2016-02-05 12:28 caristu Relationship added related to 0032145
2016-02-08 09:12 hgbot Checkin
2016-02-08 09:12 hgbot Note Added: 0083993
2016-02-08 09:13 caristu Status scheduled => resolved
2016-02-08 09:13 caristu Resolution open => fixed
2016-02-08 09:37 hgbot Checkin
2016-02-08 09:37 hgbot Note Added: 0083995
2016-02-08 13:12 hgbot Checkin
2016-02-08 13:12 hgbot Note Added: 0084002
2016-02-11 11:54 caristu Relationship added related to 0032193
2016-02-12 08:41 alostale Note Added: 0084137
2016-02-12 08:41 alostale Status resolved => closed
2016-02-12 08:41 alostale Fixed in Version => 3.0PR16Q2
2016-03-17 10:55 hudsonbot Checkin
2016-03-17 10:55 hudsonbot Note Added: 0085102
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085111
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085112
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085113


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker